​

Get field

GET
https://example.kaiten.ru/api/latest/company/custom-directories/{directory_id}/fields/{field_id}
Path parameters
NameTypeReference
directory_idrequiredstringDirectory ID
field_idrequiredstringField ID
Headers
NameValue
Content-Typeapplication/json
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

string

Field ID (UUID)
custom_directory_id

string

Directory ID (UUID)
name

string

Field name
type

enum

Field type
custom_property_uid

null | string

Custom property UID (for select/user/catalog fields)
linked_directory_id

null | string

Linked directory ID (for directory_link fields)
author

object

Author user object
linkedDirectory

object

Linked directory object (for directory_link fields)
customProperty

object

Custom property object (for select/user/catalog fields)
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundObject
Open

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/company/custom-directories/{directory_id}/fields/{field_id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!